Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.interfaces
Interface IProxy

All Superinterfaces:
  INotifier

All Known Implementing Classes:
  Proxy

    public interface IProxy

extends INotifier

The interface definition for a PureMVC Proxy.

In PureMVC, `IProxy` implementors assume these responsibilities:

- Implement a common method which returns the name of the Proxy.

Additionally, `IProxy`s typically:

- Maintain references to one or more pieces of model data.
- Provide methods for manipulating that data.
- Generate `INotifications` when their model data changes.
- Expose their name as a `public static const` called `NAME`, if they are not instantiated multiple times.
- Encapsulate interaction with local or remote services used to fetch and persist model data.

Method Summary
`java.lang.Object` | `getData()` Get the data object
`java.lang.String` | `getProxyName()` Get the Proxy name
`void` | `onRegister()` Called by the Model when the Proxy is registered
`void` | `onRemove()` Called by the Model when the Proxy is removed
`void` | `setData(java.lang.Object data)` Set the data object

Methods inherited from interface org.puremvc.java.interfaces.INotifier
`sendNotification, sendNotification, sendNotification`

Method Detail

### getProxyName

    java.lang.String getProxyName()

  Get the Proxy name

  Returns:
    the Proxy instance name

### setData

    void setData(java.lang.Object data)

  Set the data object

  Parameters:
    `data` - the data object

### getData

    java.lang.Object getData()

  Get the data object

  Returns:
    the data as type Object

### onRegister

    void onRegister()

  Called by the Model when the Proxy is registered

### onRemove

    void onRemove()

  Called by the Model when the Proxy is removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD